﻿<Window x:Class="Tpig.Demonstrates.TestDll.AutoRefreshWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        FontSize="16"
        Title="Auto Refresh" Height="300" Width="300">
    <Window.Resources>
        <ResourceDictionary>
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="/Tpig.Demonstrates.Locales;component/Resources/Languages/Language.xaml"/>
            </ResourceDictionary.MergedDictionaries>
        </ResourceDictionary>
    </Window.Resources>

    <Grid>
        <DockPanel>
            <UniformGrid DockPanel.Dock="Top" Rows="1">
                <Button Content="{DynamicResource ChangeToEn}" Click="ChangeToEn"/>
                <Button Content="{DynamicResource ChangeToTh}" Click="ChangeToTh"/>
                <Button Content="{DynamicResource ChangeToJp}" Click="ChangeToJp"/>
            </UniformGrid>

            <UniformGrid Columns="1">
                <UniformGrid.Resources>
                    <Style TargetType="TextBlock">
                        <Setter Property="VerticalAlignment" Value="Center"/>
                        <Setter Property="TextAlignment" Value="Center"/>
                    </Style>
                </UniformGrid.Resources>
                <TextBlock FontSize="12" Text="{DynamicResource Text0}"/>
                <TextBlock FontSize="16" Text="{DynamicResource Text1}"/>
                <TextBlock FontSize="20" Text="{DynamicResource Text2}"/>
            </UniformGrid>
        </DockPanel>
        <Grid Background="#88888888" Visibility="Hidden" x:Name="Shader">
            <TextBlock VerticalAlignment="Center" HorizontalAlignment="Center" 
                       FontSize="24" FontWeight="Bold" Foreground="#ffffff" Text="{DynamicResource Wait}"/>
        </Grid>
    </Grid>
</Window>
